
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "osvalidate/version"

Gem::Specification.new do |spec|
  spec.name          = "osvalidate"
  spec.version       = OSValidate::VERSION
  spec.authors       = ["Rick Mark"]
  spec.email         = ["rickmark@dropbox.com"]

  spec.summary       = %q{Scan an OS disk against a baseline database}
  spec.description   = %q{Designed to scan for security problems in the boot chain of the operating system.}
  spec.homepage      = "https://github.com/dropbox/osvalidate"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'pg', '~> 0.21'
  spec.add_runtime_dependency 'activerecord', '~> 5.1'

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
